Postgis connections with a slash in the name are hidden/misnamed

2017-05-26 12:39 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.8 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24524

Description

1. Click on "Add PostGIS Layer" 

2. Click on "New Connection" 

3. Call the new connection "test/1"

Expected behavior: on creating the connection, there's a new "test/1" connection shown in the connection selection widget.

Obtained behavior: the connection selection widget has just a "test" connection

Further steps:

4. Click on 'Add PostGIS Layer" 

5. Click on "New Connection" 

6. Call the new connectoin "test/2"

Expected behavior: there are now 2 connections

Obtained behavior: there's still a single connection, still only named "test"

Further steps:

7: Create a new connection, calling it "test/1"

Expected behavior: as there's a single connection, called "test", I'd now expect "test/1" to be created

Obtained behavior: the GUI complains that "test/1" already exists (but isn't shown)

So basically I'm left with a single "test" connection shown in the connections list but QGIS really knows about "test/1" and "test/2" enough

that I cannot use those as names for new connections.

This behavior was detected with commit:cea93faa252db67ec007849bad9a7a070dd27b2b (release-2_18 branch targetted at 2.18.9)

Related issues:

Related to QGIS Application - Bug report # 9131: WMS/WMTS dialog - loses text... Closed 2013-11-27

Associated revisions

Revision 30900e9b - 2013-11-27 03:33 PM - Jürgen Fischer

don't allow slashes in http connection names (fixes #9131)

Revision 8c873b14 - 2017-05-26 02:06 PM - Jürgen Fischer
avoid slashes in connection names (followup 30900e9b8; fixes #16624)

Revision dcd99ad5 - 2017-05-29 10:35 PM - Jürgen Fischer

avoid slashes in connection names (followup 30900e9b8; fixes #16624)

(cherry picked from commit 8c873b14b8a572aa7d65d31381357844c3d73aeb)

Revision 63269479 - 2017-06-09 08:00 AM - Jürgen Fischer

fix 8c873b14 (fixes #16624)

Revision 5f10a0ba - 2017-06-09 08:01 AM - Jürgen Fischer

fix 8c873b14 (fixes #16624)

(cherry picked from commit 63269479682b9b71d0de74b518de09d5f72029d2)

History

#1 - 2017-05-26 01:52 PM - Sandro Santilli

Further steps: opening DBManager shows a "test" connection, attempts to open it result in an error: 'There is no defined database connection "test".'.

#2 - 2017-05-26 02:07 PM - Jürgen Fischer

- Related to Bug report #9131: WMS/WMTS dialog - loses text after / added

#3 - 2017-05-26 02:11 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8c873b14b8a572aa7d65d31381357844c3d73aeb.

#4 - 2017-06-06 02:53 PM - Sandro Santilli

- Status changed from Closed to Reopened

I just got the same (or very similar) problem.

This time I named my connection: "strk@localhost:5432/strk (pgpass test)" 

When I went trying to open it on DBManager it failed with "No connection named 'strk@localhost:5432' exists".

Or something like that...

#5 - 2017-06-09 08:01 AM - Jürgen Fischer

- Status changed from Reopened to Closed
Applied in changeset commit:qgis|63269479682b9b71d0de74b518de09d5f72029d2.
